GET repository_profiles/{id}
Gets the repository profile.
URL Parameters
| Name | Description |
|---|---|
| id | Repository profile id. |
Request example
curl --request GET "https://api-asm1.apica.io/v3/repository_profiles/{"{"}id{"}"}?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
{
"id": 1,
"name": "sample string 2",
"type": "github",
"url": "sample string 3",
"username": "sample string 4",
"created_utc": "2024-09-27T22:23:29",
"updated_utc": "2024-09-27T22:23:29",
"gitlab_project_id": "sample string 6",
"branch_name": "sample string 7"
}
| Name | Type | Description |
|---|---|---|
| id | Integer | The repository profile identifier. |
| name | String | The repository profile name. |
| type | String | The repository type. |
| url | String | The repository url. |
| username | String | The repository username. |
| created_utc | DateTime | The time at which the repository profile was created. |
| updated_utc | DateTime | The last time at which the repository profile was updated. |
| gitlab_project_id | String | No documentation available. |
| branch_name | String | No documentation available. |